nxt.http.responses

## Class CoinExchangeTradeResponseImpl

- java.lang.Object
- - nxt.http.responses.CoinExchangeTradeResponseImpl

- All Implemented Interfaces:
    CoinExchangeTradeResponse

      public class CoinExchangeTradeResponseImpl
      extends java.lang.Object
      implements CoinExchangeTradeResponse

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccount()`
    `long` | `getAccountId()`
    `java.lang.String` | `getAccountRs()`
    `long` | `getBlockId()`
    `int` | `getChainId()`
    `int` | `getExchangeChainId()`
    `double` | `getExchangeRate()`
    `int` | `getHeight()`
    `byte[]` | `getMatchFullHash()`
    `byte[]` | `getOrderFullHash()`
    `long` | `getPriceNQTPerCoin()`
    `long` | `getQuantityQNT()`
    `int` | `getTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.http.responses.CoinExchangeTradeResponse

      `create`

- - ### Method Detail

    - #### getOrderFullHash

          public byte[] getOrderFullHash()

      Specified by:
        `getOrderFullHash` in interface `CoinExchangeTradeResponse`

    - #### getMatchFullHash

          public byte[] getMatchFullHash()

      Specified by:
        `getMatchFullHash` in interface `CoinExchangeTradeResponse`

    - #### getChainId

          public int getChainId()

      Specified by:
        `getChainId` in interface `CoinExchangeTradeResponse`

    - #### getExchangeChainId

          public int getExchangeChainId()

      Specified by:
        `getExchangeChainId` in interface `CoinExchangeTradeResponse`

    - #### getAccountId

          public long getAccountId()

      Specified by:
        `getAccountId` in interface `CoinExchangeTradeResponse`

    - #### getAccount

          public java.lang.String getAccount()

      Specified by:
        `getAccount` in interface `CoinExchangeTradeResponse`

    - #### getAccountRs

          public java.lang.String getAccountRs()

      Specified by:
        `getAccountRs` in interface `CoinExchangeTradeResponse`

    - #### getQuantityQNT

          public long getQuantityQNT()

      Specified by:
        `getQuantityQNT` in interface `CoinExchangeTradeResponse`

    - #### getPriceNQTPerCoin

          public long getPriceNQTPerCoin()

      Specified by:
        `getPriceNQTPerCoin` in interface `CoinExchangeTradeResponse`

    - #### getExchangeRate

          public double getExchangeRate()

      Specified by:
        `getExchangeRate` in interface `CoinExchangeTradeResponse`

    - #### getBlockId

          public long getBlockId()

      Specified by:
        `getBlockId` in interface `CoinExchangeTradeResponse`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `CoinExchangeTradeResponse`

    - #### getTimestamp

          public int getTimestamp()

      Specified by:
        `getTimestamp` in interface `CoinExchangeTradeResponse`